import { ElementRef, OnInit } from '@angular/core';
export declare class NtPseudoInputComponent implements OnInit {
    private _elementRef;
    tabIndex: number;
    private _value;
    get value(): string;
    set value(value: string);
    private _placeholder;
    get placeholder(): string;
    set placeholder(value: string);
    private _disabled;
    set disabled(value: boolean);
    get disabled(): boolean;
    constructor(_elementRef: ElementRef, tabIndex: string);
    ngOnInit(): void;
}
